OopBend.h File Reference
`#include <ForceField/Contrib.h>`
`#include <Geometry/point.h>`

Go to the source code of this file.

## Classes

class | ForceFields::MMFF::OopBendContrib
| the out-of-plane term for MMFF More...

## Namespaces

| ForceFields
| ForceFields::MMFF
| ForceFields::MMFF::Utils

## Functions

double | ForceFields::MMFF::Utils::calcOopChi (const RDGeom::Point3D &iPoint, const RDGeom::Point3D &jPoint, const RDGeom::Point3D &kPoint, const RDGeom::Point3D &lPoint)
| calculates and returns the Wilson angle (in degrees) More...
double | ForceFields::MMFF::Utils::calcOopBendForceConstant (const MMFFOop *mmffOopParams)
| returns the out-of-plane force constant koop More...
double | ForceFields::MMFF::Utils::calcOopBendEnergy (const double chi, const double koop)
| calculates and returns the out-of-plane MMFF energy More...